package driverManager;
import java.sql.*;
import java.util.*;

import config.JDBCConfig;

public class DriverManagerTableViewer {   

	public static void main (String[] args) {
		try {

			// authentication properties
			Properties props = new Properties();
			props.setProperty("user", JDBCConfig.USER);
			props.setProperty("password", JDBCConfig.PASSWORD);

			// load driver and prepare to access
			Class.forName(JDBCConfig.DRIVER).newInstance();
			Connection con = DriverManager.getConnection(
					JDBCConfig.URL, props);
			Statement stmt = con.createStatement();

			// execute select query
			String query = "SELECT * FROM PERSON;";
			ResultSet table = stmt.executeQuery(query);

			// determine properties of table
			ResultSetMetaData meta = table.getMetaData();
			String[] colNames = new String[meta.getColumnCount()];
			Vector[] cells = new Vector[colNames.length];
			for( int col = 0; col < colNames.length; col++) {
				colNames[col] = meta.getColumnName(col + 1);
				cells[col] = new Vector();
			} 

			// hold data from result set
			while(table.next()) {
				for(int col = 0; col < colNames.length; col++) {
					Object cell = table.getObject(colNames[col]);
					cells[col].add(cell);
				}
			}

			// print column headings
			for(int col = 0; col < colNames.length; col++)
				System.out.print(colNames[col].toUpperCase() + "\t");
			System.out.println();

			// print data row-wise
			while(!cells[0].isEmpty()) {
				for(int col = 0; col < colNames.length; col++) 
					System.out.print(cells[col].remove(0).toString() 
							+ "\t");
				System.out.println();
			}
		}

		// exit more gently
		catch(Exception e) {
			e.printStackTrace();
		}
	}
}