package jndi;

import java.sql.SQLException;
import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.mysql.jdbc.jdbc2.optional.MysqlDataSource;

public class TestDSBind {

	  public static void main(String args[]) throws SQLException, NamingException {

	    // For this to work you will need to create the
	    // directories /JNDI/JDBC on your file system first
	    Context ctx = null;
	    try {
	      Properties prop = new Properties();
	      prop.setProperty(Context.INITIAL_CONTEXT_FACTORY,
	          "com.sun.jndi.fscontext.RefFSContextFactory");
	      prop.setProperty(Context.PROVIDER_URL, "file:/JNDI/JDBC");
	      ctx = new InitialContext(prop);
	    } catch (NamingException ne) {
	      System.err.println(ne.getMessage());
	    }

	    MysqlDataSource ds = new MysqlDataSource();
	    ds.setServerName("localhost");
	    ds.setPortNumber(3306);
	    ds.setDatabaseName("jdbcTest");
	    ds.setUser("root");
	    ds.setPassword("root");

	    ctx.bind("joe", ds);
	  }
	}

